Skip to content
Coritan Docs

Organization API: Organizations & Members: Members

The 4 Organization API operations for members.

View as Markdown

Part of Organizations & Members.

Method Path Summary
GET /api/v1/orgs/{org_slug}/members List members
POST /api/v1/orgs/{org_slug}/members Invite member
PATCH /api/v1/orgs/{org_slug}/members/{member_id} Update member
DELETE /api/v1/orgs/{org_slug}/members/{member_id} Remove member

GET /api/v1/orgs/{org_slug}/members

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

A 200 response is a list; each item has these fields:

Field Type
[].id integer
[].org_id integer
[].user_id integer
[].role string
[].permissions object or null
[].joined_at string (date-time) or null
[].customer_link_mode string or null
[].linked_customer_id integer or null
[].email string or null
[].first_name string or null
[].last_name string or null

POST /api/v1/orgs/{org_slug}/members

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
email string yes
role string no
name string or null no
password string or null no
send_invite_email boolean no
permissions object or null no
customer_link string no
customer_id integer or null no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

Fields of a 201 response:

Field Type
id integer
org_id integer
user_id integer
role string
permissions object or null
joined_at string (date-time) or null
customer_link_mode string or null
linked_customer_id integer or null
email string or null
first_name string or null
last_name string or null

PATCH /api/v1/orgs/{org_slug}/members/{member_id}

Name In Type Required
member_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
role string or null no
permissions object or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
org_id integer
user_id integer
role string
permissions object or null
joined_at string (date-time) or null
customer_link_mode string or null
linked_customer_id integer or null
email string or null
first_name string or null
last_name string or null

DELETE /api/v1/orgs/{org_slug}/members/{member_id}

Name In Type Required
member_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.